import request from '@/utils/request'

// 查询埋点操作记录列表
export function listBuryingPoint(data) {
  return request({
    url: '/buryingPoint/buryingPoint/list',
    method: 'post',
    // params: query
    data: data
  })
}

// 查询埋点操作记录详细
export function getBuryingPoint(buryingPointId) {
  return request({
    url: '/buryingPoint/buryingPoint/' + buryingPointId,
    method: 'get'
  })
}

// 新增埋点操作记录
export function addBuryingPoint(data) {
  return request({
    url: '/buryingPoint/buryingPoint',
    method: 'post',
    data: data
  })
}

// 修改埋点操作记录
export function updateBuryingPoint(data) {
  return request({
    url: '/buryingPoint/buryingPoint',
    method: 'put',
    data: data
  })
}

// 删除埋点操作记录
export function delBuryingPoint(buryingPointId) {
  return request({
    url: '/buryingPoint/buryingPoint/' + buryingPointId,
    method: 'delete'
  })
}
